#include <SoftwareSerial.h>
#define RX    9
#define TX    10

// ***
// *** Define the software based serial port. Using the
// *** name Serial so that code can be used on other
// *** platforms that support hardware based serial. On
// *** chips that support the hardware serial, just
// *** comment this line.
// ***
SoftwareSerial MySerial(TX, RX);


// the setup function runs once when you press reset or power the board
void setup() {
  MySerial.begin(9600);
  // MySerial.println("Initializing...");
}

byte x = 0;

// the loop function runs over and over again forever
void loop() {
  MySerial.write(x);
  x = 1 - x;
  delay(1000);
}
